LibreOffice: XSheetCondition2 Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XSheetCondition2 Interface Reference

provides methods to access the settings of a condition in a conditional format or data validation. More...

`import <XSheetCondition2.idl;`

Inheritance diagram for XSheetCondition2:

## Public Member Functions
long | getConditionOperator ()
| returns the operator in the condition (new interface).
void | setConditionOperator ([in] long nOperator)
| sets the operator in the condition (new interface).
Public Member Functions inherited from XSheetCondition
com::sun::star::sheet::ConditionOperator | getOperator ()
| returns the operator in the condition.
void | setOperator ([in] com::sun::star::sheet::ConditionOperator nOperator)
| sets the operator in the condition.
string | getFormula1 ()
| returns either the comparison value, which is used in the condition, or the first value if two values are needed for the operator.
void | setFormula1 ([in] string aFormula1)
| sets either the comparison value, which is used in the condition, or the first value if two values are needed for the operator.
string | getFormula2 ()
| if two values are needed for the operator, this method returns the second one.
void | setFormula2 ([in] string aFormula2)
| if two values are needed for the operator, this method sets the second one.
com::sun::star::table::CellAddress | getSourcePosition ()
| returns the position in the document which is used as a base for relative references in the formulas.
void | setSourcePosition ([in] com::sun::star::table::CellAddress aSourcePosition)
| sets the position in the document which is used as a base for relative references in the formulas.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides methods to access the settings of a condition in a conditional format or data validation.

See also
  com::sun::star::sheet::TableConditionalEntry
  com::sun::star::sheet::TableValidation
  com::sun::star::sheet::XSheetCondition

## Member Function Documentation

## ◆ getConditionOperator()

long getConditionOperator | ( |  | ) |

returns the operator in the condition (new interface).

## ◆ setConditionOperator()

void setConditionOperator | ( | [in] long | nOperator | ) |

sets the operator in the condition (new interface).

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetCondition2.idl